gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] 02/02: squelch ulimit error


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] 02/02: squelch ulimit error
Date: Tue, 30 Jan 2018 02:23:14 +0100

This is an automated email from the git hooks/post-receive script.

dold pushed a commit to branch master
in repository deployment.

commit 41d8cfb3ee30560e968a8da751dc1eb952879899
Author: Florian Dold <address@hidden>
AuthorDate: Tue Jan 30 02:23:05 2018 +0100

    squelch ulimit error
---
 bin/taler-deployment-restart | 3 ++-
 bin/taler-deployment-start   | 3 ++-
 bin/taler-deployment-stop    | 3 ++-
 3 files changed, 6 insertions(+), 3 deletions(-)

diff --git a/bin/taler-deployment-restart b/bin/taler-deployment-restart
index a157040..bfa668a 100755
--- a/bin/taler-deployment-restart
+++ b/bin/taler-deployment-restart
@@ -4,7 +4,8 @@ base=$HOME
 
 export PATH="$base/deployment/bin":$PATH
 
-ulimit -c $((100 * 1024))
+# might fail if invoked from another script with ulimit
+ulimit -c $((100 * 1024)) &>/dev/null || true
 
 cd $HOME
 
diff --git a/bin/taler-deployment-start b/bin/taler-deployment-start
index 45a1600..9ceaef6 100755
--- a/bin/taler-deployment-start
+++ b/bin/taler-deployment-start
@@ -4,7 +4,8 @@ base=$HOME
 
 export PATH="$base/deployment":$PATH
 
-ulimit -c $((1000 * 1024))
+# might fail if invoked from another script with ulimit
+ulimit -c $((100 * 1024)) &>/dev/null || true
 
 cd $HOME
 
diff --git a/bin/taler-deployment-stop b/bin/taler-deployment-stop
index d8c1824..e08ee71 100755
--- a/bin/taler-deployment-stop
+++ b/bin/taler-deployment-stop
@@ -4,7 +4,8 @@ base=$HOME
 
 export PATH="$base/deployment":$PATH
 
-ulimit -c $((100 * 1024))
+# might fail if invoked from another script
+ulimit -c $((100 * 1024)) &>/dev/null
 
 cd $HOME
 

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]